> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trophy.so/llms.txt
> Use this file to discover all available pages before exploring further.

# List tenants

> List tenants in the current environment.



## OpenAPI

````yaml https://admin.trophy.so/v1/openapi get /tenants
openapi: 3.1.0
info:
  title: Trophy
  version: 1.19.0
servers:
  - x-fern-server-name: Admin API
    url: https://admin.trophy.so/v1
    description: Admin API
security: []
paths:
  /tenants:
    servers:
      - url: https://admin.trophy.so/v1
        description: Admin API
    get:
      tags:
        - Admin
      summary: List tenants
      description: List tenants in the current environment.
      operationId: admin_tenants_list
      parameters:
        - name: limit
          in: query
          description: Number of records to return.
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 10
          example: 10
        - name: skip
          in: query
          description: Number of records to skip from the start of the list.
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
          example: 0
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListTenantsResponse'
              examples:
                Tenants list:
                  value:
                    - id: 550e8400-e29b-41d4-a716-446655440000
                      customerId: customer_12345
                      name: Acme Corp
                      status: active
                      created: '2026-01-15T09:30:00.000Z'
                      updated: '2026-01-15T09:30:00.000Z'
                    - id: 550e8400-e29b-41d4-a716-446655440001
                      customerId: customer_67890
                      name: Globex Inc
                      status: active
                      created: '2026-02-20T14:00:00.000Z'
                      updated: '2026-02-20T14:00:00.000Z'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdminErrorBody'
        '422':
          description: Unprocessible Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdminErrorBody'
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: javascript
          source: |
            import { TrophyApiClient } from '@trophyso/node';

            const trophy = new TrophyApiClient({
              apiKey: 'YOUR_API_KEY'
            });

            const tenants = await trophy.admin.tenants.list({
              limit: 10,
              skip: 0
            });
        - lang: python
          source: |
            from trophy import TrophyApi

            client = TrophyApi(api_key='YOUR_API_KEY')

            tenants = client.admin.tenants.list(
              limit=10,
              skip=0
            )
        - lang: go
          source: |
            import (
              "context"

              api "github.com/trophyso/trophy-go"
              trophyclient "github.com/trophyso/trophy-go/client"
              "github.com/trophyso/trophy-go/option"
            )

            client := trophyclient.NewClient(
              option.WithApiKey("YOUR_API_KEY"),
            )

            response, err := client.Admin.Tenants.List(context.TODO(), nil)
components:
  schemas:
    ListTenantsResponse:
      title: ListTenantsResponse
      type: array
      description: Array of tenants.
      items:
        $ref: '#/components/schemas/AdminTenant'
    AdminErrorBody:
      title: AdminErrorBody
      type: object
      properties:
        error:
          type: string
      required:
        - error
    AdminTenant:
      title: AdminTenant
      type: object
      description: A tenant in a multi-tenant environment.
      properties:
        id:
          type: string
          format: uuid
          description: The tenant UUID.
          example: 550e8400-e29b-41d4-a716-446655440000
        customerId:
          type: string
          description: The external customer ID for this tenant.
          example: customer_12345
        name:
          type: string
          description: Human-readable name for the tenant.
          example: Acme Corp
        status:
          type: string
          enum:
            - active
            - archived
          description: The lifecycle status of the tenant.
          example: active
        created:
          type: string
          format: date-time
          description: When the tenant was created.
        updated:
          type: string
          format: date-time
          description: When the tenant was last updated.
      required:
        - id
        - customerId
        - name
        - status
        - created
        - updated
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````